﻿Option Strict On
Imports System.Xml.Linq
Imports System.Device.Location
Imports Microsoft.Phone.Controls.Maps

Partial Public Class BingMaps
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Dim myReadXmldoc As New ReadXmldoc
    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
        Dim myParam As IDictionary(Of String, String) = Me.NavigationContext.QueryString
        Dim Index As Integer = Integer.Parse(myParam("Index"))
        Dim myAddress As String = myReadXmldoc.Address.Descendants("場所")(Index).Value

        Dim myLatitude As String = myReadXmldoc.Address.Descendants("場所")(Index).Attribute("緯度").Value
        Dim myLongitude As String = myReadXmldoc.Address.Descendants("場所")(Index).Attribute("経度").Value

        PageTitle.Text = myAddress
        'Map1.Mode = New AerialMode
        Map1.Center = New GeoCoordinate(Double.Parse(myLatitude), Double.Parse(myLongitude))
        Map1.ZoomLevel = 10

        Dim myPin As New Pushpin
        myPin.Location = New GeoCoordinate(Double.Parse(myLatitude), Double.Parse(myLongitude))
        myPin.Content = myAddress
        Map1.Children.Add(myPin)
        MyBase.OnNavigatedTo(e)
    End Sub

    Protected Overrides Sub OnBackKeyPress(ByVal e As System.ComponentModel.CancelEventArgs)
        e.Cancel = True
        NavigationService.Navigate(New Uri("/MainPage.xaml", UriKind.Relative))
        MyBase.OnBackKeyPress(e)
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Select Case Button1.Content.ToString
            Case "道路を表示中"
                Map1.Mode = New AerialMode
                Button1.Content = "航空写真"
            Case "航空写真"
                Map1.Mode = New RoadMode
                Button1.Content = "道路を表示中"
        End Select
    End Sub
End Class
